import request from '@/utils/request'

// 查询相关设置列表
export function listConfig(query) {
  return request({
    url: '/hezhi/config/list',
    method: 'get',
    params: query
  })
}

// 查询相关设置详细
export function getConfig(configId) {
  return request({
    url: '/hezhi/config/' + configId,
    method: 'get'
  })
}

// 新增相关设置
export function addConfig(data) {
  return request({
    url: '/hezhi/config',
    method: 'post',
    data: data
  })
}

// 修改相关设置
export function updateConfig(data) {
  return request({
    url: '/hezhi/config',
    method: 'put',
    data: data
  })
}

// 删除相关设置
export function delConfig(configId) {
  return request({
    url: '/hezhi/config/' + configId,
    method: 'delete'
  })
}
